Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::SizedIncrementableSentinel Struct Reference
Inheritance diagram for ranges::v3::concepts::SizedIncrementableSentinel:

## Public Member Functions
template<typename T , typename U >
auto | requires_ (T t, U u) -> decltype(concepts::valid_expr(concepts::model_of< WeaklyEqualityComparable, T, U >(), concepts::model_of< Integral >(t - u), concepts::model_of< Integral >(u - t)))
Public Member Functions inherited from ranges::v3::concepts::refines< SemiRegular(_1), WeaklyIncrementable(_2)>
void | requires_ ()

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< SemiRegular(_1), WeaklyIncrementable(_2)>
using | base_concepts_t = meta::list< Concepts... >